Description: Upstream development snapshot on 2012-05-22
Origin: upstream, http://w3m.cvs.sourceforge.net/viewvc/w3m/w3m/

diff -urN w3m-0.5.3/ChangeLog w3m/ChangeLog
--- w3m-0.5.3/ChangeLog	2011-01-15 16:52:48.000000000 +0900
+++ ChangeLog	2012-05-22 22:11:44.000000000 +0900
@@ -1,12 +1,31 @@
+2012-05-22  Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
+
+	* [w3m-dev 04451] w3m/entity.h should be removed when `make clean'
+	* Makefile.in: add entity.h to "make clean" target.
+
+2012-05-22  Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
+
+	* [w3m-dev 04452] Re: w3m on macosx 10.6.6
+	* doc/w3m.1, doc/STORY.html, doc-jp/STORY.html: 
+	  delete words about formerly included Boehm GC library.
+
+2012-05-22  Enu <theme.of.n@gmail.com>
+
+	* file.c, HTML.c: parse META CHARSET.
+
+2011-01-17  Dai Sato <satodai@w3m.jp>
+
+	* correction: ChangeLog of 2011-01-15 (0.5.2 -> 0.5.3)
+
 2011-01-15  Dai Sato <satodai@w3m.jp>
 
-	* w3m 0.5.2
+	* w3m 0.5.3
 	* version.c.in: update
-	* doc/README: version 0.5.2, release date, maintainer
+	* doc/README: version 0.5.3, release date, maintainer
 	* doc-jp/README: ditto
 	* po/w3m.pot, ja.po: ditto
 	* NEWS: update
-	* configure.ac: version 0.5.2
+	* configure.ac: version 0.5.3
 	* configure: regenerated
 
 2011-01-05  SAKAI Kiyotaka <kiyotaka.sakai@ntt-at.co.jp>
@@ -9300,4 +9319,4 @@
 	* release-0-2-1
 	* import w3m-0.2.1
 
-$Id: ChangeLog,v 1.1050 2011/01/15 07:52:48 inu Exp $
+$Id: ChangeLog,v 1.1055 2012/05/22 10:20:45 inu Exp $
diff -urN w3m-0.5.3/Makefile.in w3m/Makefile.in
--- w3m-0.5.3/Makefile.in	2011-01-04 18:22:18.000000000 +0900
+++ Makefile.in	2012-05-22 22:11:44.000000000 +0900
@@ -288,7 +288,7 @@
 clean: sweep
 	-$(RM) -f *.o *.a $(TARGETS) mktable$(EXT)
 	-$(RM) -f funcname.tab
-	-$(RM) -f funcname.c funcname1.h funcname2.h tagtable.c functable.c
+	-$(RM) -f entity.h funcname.c funcname1.h funcname2.h tagtable.c functable.c
 	-for dir in w3mimg libwc; \
 	do \
 		(cd $$dir && $(MAKE) clean RM="$(RM)"); \
diff -urN w3m-0.5.3/doc/STORY.html w3m/doc/STORY.html
--- w3m-0.5.3/doc/STORY.html	2001-11-21 13:29:14.000000000 +0900
+++ doc/STORY.html	2012-05-22 22:11:44.000000000 +0900
@@ -182,6 +182,10 @@
 I could distribute w3m without this library because one can
 get the library separately, but I decided to contain it in the
 w3m distribution for the convenience of an installer.
+<P>
+# Boehm GC library is no longer included into w3m packages
+# after w3m-0.4.2.
+<P>
 W3m doesn't use libwww.
 <P>
 Boehm GC is a garbage collector for C and C++. I began to use this
diff -urN w3m-0.5.3/doc/w3m.1 w3m/doc/w3m.1
--- w3m-0.5.3/doc/w3m.1	2011-01-15 15:37:24.000000000 +0900
+++ doc/w3m.1	2012-05-22 22:11:44.000000000 +0900
@@ -245,8 +245,6 @@
 .I
 w3m
 has incorporated code from several sources.
-Hans J. Boehm, Alan J. Demers, Xerox Corp. and Silicon Graphics
-have the copyright of the GC library comes with w3m package.
 Users have contributed patches and suggestions over time.
 .SH AUTHOR
 Akinori ITO <aito@fw.ipsj.or.jp>
diff -urN w3m-0.5.3/doc-jp/STORY.html w3m/doc-jp/STORY.html
--- w3m-0.5.3/doc-jp/STORY.html	2003-05-14 02:17:54.000000000 +0900
+++ doc-jp/STORY.html	2012-05-22 22:11:44.000000000 +0900
@@ -158,6 +158,9 @@
 <a href="http://www.hpl.hp.com/personal/Hans_Boehm/gc/">Boehm GC</a>
 Ȥ饤֥ѤƤ롥ϻ䤬񤤤ΤǤϤʤ
 ѥصͤۥѥå˴ޤƤ롥
+<P>
+# Boehm GC ϡw3m-0.4.2 ʹߤΥѥåˤϴޤޤƤޤ
+<P>
 ʤlibwww ϻȤäƤʤ
 <P>
 Boehm GCϡCȤ륬١쥯table ˤ
diff -urN w3m-0.5.3/file.c w3m/file.c
--- w3m-0.5.3/file.c	2011-01-04 18:22:21.000000000 +0900
+++ file.c	2012-05-22 22:11:44.000000000 +0900
@@ -1,4 +1,4 @@
-/* $Id: file.c,v 1.265 2010/12/15 10:50:24 htrb Exp $ */
+/* $Id: file.c,v 1.266 2012/05/22 09:45:56 inu Exp $ */
 #include "fm.h"
 #include <sys/types.h>
 #include "myctype.h"
@@ -5020,10 +5020,17 @@
 	HTMLlineproc1(tmp->ptr, h_env);
 	return 1;
     case HTML_META:
-	p = q = NULL;
+	p = q = r = NULL;
 	parsedtag_get_value(tag, ATTR_HTTP_EQUIV, &p);
 	parsedtag_get_value(tag, ATTR_CONTENT, &q);
 #ifdef USE_M17N
+	parsedtag_get_value(tag, ATTR_CHARSET, &r);
+	if (r) {
+	    /* <meta charset=""> */
+	    SKIP_BLANKS(r);
+	    meta_charset = wc_guess_charset(r, 0);
+	}
+	else
 	if (p && q && !strcasecmp(p, "Content-Type") &&
 	    (q = strcasestr(q, "charset")) != NULL) {
 	    q += 7;
diff -urN w3m-0.5.3/html.c w3m/html.c
--- w3m-0.5.3/html.c	2011-01-04 18:22:21.000000000 +0900
+++ html.c	2012-05-22 22:11:44.000000000 +0900
@@ -1,4 +1,4 @@
-/* $Id: html.c,v 1.32 2010/08/14 01:29:40 htrb Exp $ */
+/* $Id: html.c,v 1.33 2012/05/22 09:45:56 inu Exp $ */
 #include "html.h"
 
 /* Define HTML Tag Infomation Table */
@@ -37,8 +37,8 @@
     ATTR_CELLPADDING, ATTR_VSPACE, ATTR_CORE
 };
 #define MAXA_TABLE	MAXA_CORE + 6
-unsigned char ALST_META[] = { ATTR_HTTP_EQUIV, ATTR_CONTENT, ATTR_CORE };
-#define MAXA_META	MAXA_CORE + 2
+unsigned char ALST_META[] = { ATTR_HTTP_EQUIV, ATTR_CONTENT, ATTR_CHARSET, ATTR_CORE };
+#define MAXA_META	MAXA_CORE + 3
 unsigned char ALST_FRAME[] = { ATTR_SRC, ATTR_NAME, ATTR_CORE };
 #define MAXA_FRAME	MAXA_CORE + 2
 unsigned char ALST_FRAMESET[] = { ATTR_COLS, ATTR_ROWS, ATTR_CORE };
diff -urN w3m-0.5.3/version.c.in w3m/version.c.in
--- w3m-0.5.3/version.c.in	2011-01-15 16:52:48.000000000 +0900
+++ version.c.in	2012-05-22 22:11:44.000000000 +0900
@@ -1,5 +1,5 @@
-/* $Id: version.c.in,v 1.48 2011/01/15 07:52:48 inu Exp $ */
-#define CURRENT_VERSION "w3m/0.5.3"
+/* $Id: version.c.in,v 1.49 2012/05/22 09:45:56 inu Exp $ */
+#define CURRENT_VERSION "w3m/0.5.3+cvs"
 
 #ifndef FM_H
 char *w3m_version = CURRENT_VERSION;
